Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wfs.capabilities
Class FormatType

    java.lang.Object
      org.deegree.ogcwebservices.wfs.capabilities.FormatType

    public class FormatType

extends Object

Defines the format (for feature types) to be is served by the WFS.

This includes:

inFilter | optional: location of an XSL-script to be applied to requests
outFilter | optional: location of an XSL-script to be applied to responses
schemaLocation | optional: location of schema document (for `DescribeFeatureType` requests)
value | name of the format (e.g. `text/xml; subtype=gml/3.1.1`)

Version:
  $Revision: 18195 $ $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider , last edited by: $Author: mschneider $

Constructor Summary
`FormatType(URI inFilter, URI outFilter, URI schemaLocation, String value)` Creates a new instance of `FormatType`from the given parameters.``

Method Summary
`URI` | `getInFilter()` Returns the location of the XSL-script to be applied to requests.
`URI` | `getOutFilter()` Returns the location of the XSL-script to be applied to responses.
`URI` | `getSchemaLocation()` Returns the location of the schema document (for `DescribeFeatureType` requests).
`String` | `getValue()` Returns the name of the format.
`boolean` | `isVirtual()` Returns whether the format definition is virtual, i.e. it is processed using an (input) XSLT-script.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FormatType

    public FormatType(URI inFilter,
                      URI outFilter,
                      URI schemaLocation,
                      String value)

  Creates a new instance of `FormatType`from the given parameters.

  Parameters:
    `inFilter` - location of an XSL-script to be applied to requests, may be null
    `outFilter` - location of an XSL-script to be applied to responses, may be null
    `schemaLocation` - location of schema document (for `DescribeFeatureType` requests, may be null
    `value` - name of the format (e.g. `text/xml; subtype=gml/3.1.1`)
  ``

Method Detail

### getInFilter

    public URI getInFilter()

  Returns the location of the XSL-script to be applied to requests.

  Returns:
    the location of the XSL-script to be applied to requests, may be null

### getOutFilter

    public URI getOutFilter()

  Returns the location of the XSL-script to be applied to responses.

  Returns:
    the location of the XSL-script to be applied to responses, may be null

### getSchemaLocation

    public URI getSchemaLocation()

  Returns the location of the schema document (for `DescribeFeatureType` requests).

  Returns:
    the location of the schema document (for `DescribeFeatureType` requests), may be null

### getValue

    public String getValue()

  Returns the name of the format.

  Returns:
    the name of the format

### isVirtual

    public boolean isVirtual()

  Returns whether the format definition is virtual, i.e. it is processed using an (input) XSLT-script.

  Returns:
    true, if the format is virtual, false otherwise

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org